MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Structures | Public Member Functions | Static Public Attributes
PollGroupPoll Class Reference

`#include <PollGroupPoll.hxx>`

## Public Member Functions
| PollGroupPoll ()
| ~PollGroupPoll ()
void | ReadEvents (PollResultGeneric &result, int timeout_ms)
bool | Add (int fd, unsigned events, void *obj)
bool | Modify (int fd, unsigned events, void *obj)
bool | Remove (int fd)
bool | Abandon (int fd)

## Static Public Attributes
static constexpr unsigned | READ = POLLIN
static constexpr unsigned | WRITE = POLLOUT
static constexpr unsigned | ERROR = POLLERR
static constexpr unsigned | HANGUP = POLLHUP

## Detailed Description

Definition at line 32 of file PollGroupPoll.hxx.

## Constructor & Destructor Documentation

PollGroupPoll::PollGroupPoll | ( |  | ) |

PollGroupPoll::~PollGroupPoll | ( |  | ) |

## Member Function Documentation

bool PollGroupPoll::Abandon | ( | int | fd | ) |
| inline

Definition at line 58 of file PollGroupPoll.hxx.

bool PollGroupPoll::Add | ( | int | fd,
|  | unsigned | events,
|  | void * | obj
| ) |  |

bool PollGroupPoll::Modify | ( | int | fd,
|  | unsigned | events,
|  | void * | obj
| ) |  |

void PollGroupPoll::ReadEvents | ( | PollResultGeneric & | result,
|  | int | timeout_ms
| ) |  |

bool PollGroupPoll::Remove | ( | int | fd | ) |

## Field Documentation

constexpr unsigned PollGroupPoll::ERROR = POLLERR
| static

Definition at line 48 of file PollGroupPoll.hxx.

constexpr unsigned PollGroupPoll::HANGUP = POLLHUP
| static

Definition at line 49 of file PollGroupPoll.hxx.

constexpr unsigned PollGroupPoll::READ = POLLIN
| static

Definition at line 46 of file PollGroupPoll.hxx.

constexpr unsigned PollGroupPoll::WRITE = POLLOUT
| static

Definition at line 47 of file PollGroupPoll.hxx.

The documentation for this class was generated from the following file:

- event/PollGroupPoll.hxx